import { 
    API_BASE_URL,
    API_URL_KEY,
  } from './../constants/url';

export const API_URL_USER = {
    userExistsUserid: (usrid: string) => {
        return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/exists/${usrid}`;
    },
    userCreate: () => {
        // 사용자 추가
        return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/create`;
    },
    findUser: () => {
        return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/find`;
    },
    existsUserid: () => {
        return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/exists/userid`;
    },
    deleteUser: () => {
        return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/delete`;
    },
    createUser: () => {
        return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/create`;
    },
    findAuthMethod: () => {
        return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/tfa/find`;
    },
    modifyAuthMethod: () => {
        return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/tfa/modify`;
    },
    updatePermissions: () => {
        return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/permissions/update`;
    },
    findMenuPermissions: () => {
        return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/menu/permissions`;
    },
    saveMenuPermissions: () => {
        return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/menu/permissions/save`;
    },
    changePassword: () => {
        return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/password`;
    },
    userChangeCancelPassword: () => {
        return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/cancle/change`;
    }
}